## org.eclipse.datatools.sqltools.core.dbitem
Interface IEvent

All Superinterfaces:
  IDBItem

public interface IEvent
extends IDBItem

Represents a SQL Event object.

Author:
  Hui Cao

Field Summary
`static int` `CONDITION_EVENT` Event type constant indicating the event is invoked when predefined condition is met.
`static int` `MANUAL_EVENT` Event type constant indicating the event is manually invoked.
`static int` `SCHEDULE_EVENT` Event type constant indicating the event is scheduled to be invoked at certain time.

Method Summary
`int` `getEventType()`
`java.lang.String[]` `getSupportedParameter(int eventType)` Retrieves the supported parameter list for a given event type
`java.lang.String[]` `getValidValues(java.lang.String parameter)` Retrieves the valid parameter values for a given parameter name.

Methods inherited from interface org.eclipse.datatools.sqltools.core.dbitem.IDBItem
`dispose, getControlConnection, getProcIdentifier, refresh`

Field Detail

### MANUAL_EVENT

    public static final int MANUAL_EVENT

  Event type constant indicating the event is manually invoked.

  See Also:
    Constant Field Values

### CONDITION_EVENT

    public static final int CONDITION_EVENT

  Event type constant indicating the event is invoked when predefined condition is met.

  See Also:
    Constant Field Values

### SCHEDULE_EVENT

    public static final int SCHEDULE_EVENT

  Event type constant indicating the event is scheduled to be invoked at certain time.

  See Also:
    Constant Field Values

Method Detail

### getEventType

    public int getEventType()

  Returns:
    event type defined in this interface

### getSupportedParameter

    public java.lang.String[] getSupportedParameter(int eventType)

  Retrieves the supported parameter list for a given event type

  Parameters:
    `eventType` - event type defined in this interface
  Returns:
    supported parameter array

### getValidValues

    public java.lang.String[] getValidValues(java.lang.String parameter)

  Retrieves the valid parameter values for a given parameter name.

  Parameters:
    `parameter` - parameter name
  Returns:
    parameter value array

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.